
module keim08core (
	altpll_areset_export,
	altpll_c1_clk,
	altpll_locked_export,
	clk_clk,
	emif_flash_tcm_reset_n_out,
	emif_sdram_sdram_cke,
	emif_sdram_sdram_cas_n,
	emif_dq,
	emif_sdram_sdram_we_n,
	emif_sdram_sdram_cs_n,
	emif_flash_tcm_chipselect_n_out,
	emif_addr,
	emif_sdram_sdram_ba,
	emif_sdram_sdram_dqm,
	emif_sdram_sdram_ras_n,
	emif_flash_tcm_write_n_out,
	emif_flash_tcm_read_n_out,
	i2c_0_scl_out,
	i2c_0_scl_in,
	i2c_0_scl_oe,
	i2c_0_sda_out,
	i2c_0_sda_in,
	i2c_0_sda_oe,
	int_int,
	pinmux_pa_mux,
	pinmux_pb_mux,
	pinmux_pc_mux,
	pinmux_pd_mux,
	pinmux_pe_mux,
	pio_pio_a_oe,
	pio_pio_a_out,
	pio_pio_a_in,
	pio_pio_b_oe,
	pio_pio_b_out,
	pio_pio_b_in,
	pio_pio_c_oe,
	pio_pio_c_out,
	pio_pio_c_in,
	pio_pio_d_oe,
	pio_pio_d_out,
	pio_pio_d_in,
	pio_pio_e_oe,
	pio_pio_e_out,
	pio_pio_e_in,
	pwm_0_pwm_out,
	pwm_1_pwm_out,
	reset_reset_n,
	spi_0_miso,
	spi_0_mosi,
	spi_0_sclk,
	spi_1_miso,
	spi_1_mosi,
	spi_1_sclk,
	spi_2_miso,
	spi_2_mosi,
	spi_2_sclk,
	uart_0_rxd,
	uart_0_txd,
	uart_0_cts_n,
	uart_0_rts_n,
	uart_1_rxd,
	uart_1_txd,
	uart_1_cts_n,
	uart_1_rts_n);	

	input		altpll_areset_export;
	output		altpll_c1_clk;
	output		altpll_locked_export;
	input		clk_clk;
	output	[0:0]	emif_flash_tcm_reset_n_out;
	output	[0:0]	emif_sdram_sdram_cke;
	output	[0:0]	emif_sdram_sdram_cas_n;
	inout	[15:0]	emif_dq;
	output	[0:0]	emif_sdram_sdram_we_n;
	output	[0:0]	emif_sdram_sdram_cs_n;
	output	[0:0]	emif_flash_tcm_chipselect_n_out;
	output	[21:0]	emif_addr;
	output	[1:0]	emif_sdram_sdram_ba;
	output	[1:0]	emif_sdram_sdram_dqm;
	output	[0:0]	emif_sdram_sdram_ras_n;
	output	[0:0]	emif_flash_tcm_write_n_out;
	output	[0:0]	emif_flash_tcm_read_n_out;
	output		i2c_0_scl_out;
	input		i2c_0_scl_in;
	output		i2c_0_scl_oe;
	output		i2c_0_sda_out;
	input		i2c_0_sda_in;
	output		i2c_0_sda_oe;
	input	[7:0]	int_int;
	output	[15:0]	pinmux_pa_mux;
	output	[15:0]	pinmux_pb_mux;
	output	[15:0]	pinmux_pc_mux;
	output	[15:0]	pinmux_pd_mux;
	output	[1:0]	pinmux_pe_mux;
	output	[15:0]	pio_pio_a_oe;
	output	[15:0]	pio_pio_a_out;
	input	[15:0]	pio_pio_a_in;
	output	[15:0]	pio_pio_b_oe;
	output	[15:0]	pio_pio_b_out;
	input	[15:0]	pio_pio_b_in;
	output	[15:0]	pio_pio_c_oe;
	output	[15:0]	pio_pio_c_out;
	input	[15:0]	pio_pio_c_in;
	output	[15:0]	pio_pio_d_oe;
	output	[15:0]	pio_pio_d_out;
	input	[15:0]	pio_pio_d_in;
	output	[1:0]	pio_pio_e_oe;
	output	[1:0]	pio_pio_e_out;
	input	[1:0]	pio_pio_e_in;
	output		pwm_0_pwm_out;
	output		pwm_1_pwm_out;
	input		reset_reset_n;
	input		spi_0_miso;
	output		spi_0_mosi;
	output		spi_0_sclk;
	input		spi_1_miso;
	output		spi_1_mosi;
	output		spi_1_sclk;
	input		spi_2_miso;
	output		spi_2_mosi;
	output		spi_2_sclk;
	input		uart_0_rxd;
	output		uart_0_txd;
	input		uart_0_cts_n;
	output		uart_0_rts_n;
	input		uart_1_rxd;
	output		uart_1_txd;
	input		uart_1_cts_n;
	output		uart_1_rts_n;
endmodule
